{{- $existingSecret := lookup "v1" "Secret" .Release.Namespace (printf "%s-primaryuser-secret" (.Values.config.username)) }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "postgres.name" . }}-primaryuser-secret
  labels:
    app: {{ template "postgres.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
type: Opaque
data:
  username: {{ "primaryuser" | b64enc | quote }}
{{- if (and $existingSecret $existingSecret.data) }}
{{- if $existingSecret.data.password }}
  password: {{ $existingSecret.data.password }}
{{- else }}
  password: {{ .Values.config.password | default (randAlphaNum 24) | b64enc | quote }}
{{- end }}
{{- else }}
  password: {{ .Values.config.password | default (randAlphaNum 24) | b64enc | quote }}
{{- end }}
